java.awt

## Class GridBagLayoutInfo

- java.lang.Object
- - java.awt.GridBagLayoutInfo

- All Implemented Interfaces:
    Serializable

      public class GridBagLayoutInfo
      extends Object
      implements Serializable

  The `GridBagLayoutInfo` is an utility class for `GridBagLayout` layout manager. It stores align, size and baseline parameters for every component within a container.

  Since:
    1.6
  See Also:
    `GridBagLayout`, `GridBagConstraints`, Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.